import { DynamoDB } from '@aws-sdk/client-dynamodb';
import { type Connection } from './connections';
/**
 * This acts as a Singleton class to provide the default DynamoDB Client to
 * tables when it does not have an explicit connection provided in the table's
 * metadata.
 */
export default class Config {
    private static __defaultConnection;
    static get defaultConnection(): Connection;
    static set defaultConnection(connection: Connection | DynamoDB);
    useless: boolean;
}
